libzypp 17.38.15

iterators.h File Reference
`#include <iterator>`
`#include <utility>`

Go to the source code of this file.

## Classes
class | zyppng::FilterIterator< Pred, Base >
| A simple forward iterator that filters a base range according to a predicate. More...

## Namespaces
namespace | zyppng

## Functions
template<class Pred, class Base>
FilterIterator< Pred, Base > | zyppng::make_filter_iterator (Pred p, Base it, Base end)
| Helper function to deduce types and construct a FilterIterator.